Groovy 1.7.10

## org.codehaus.groovy.runtime.metaclass
[Java] Class MixinInstanceMetaProperty

    java.lang.Object
      groovy.lang.MetaProperty
          groovy.lang.MetaBeanProperty
              org.codehaus.groovy.runtime.metaclass.MixinInstanceMetaProperty

    public class MixinInstanceMetaProperty
    extends MetaBeanProperty

MetaProperty for mixed in classes

Field Summary

Fields inherited from class MetaProperty
PROPERTY_SET_PREFIX, name, type

Constructor Summary
`MixinInstanceMetaProperty(MetaProperty property, MixinInMetaClass mixinInMetaClass)`

Method Summary

Methods inherited from class MetaBeanProperty
getField, getGetter, getModifiers, getProperty, getSetter, setField, setProperty

Methods inherited from class MetaProperty
getGetterName, getModifiers, getName, getProperty, getSetterName, getType, setProperty

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### MixinInstanceMetaProperty

    public MixinInstanceMetaProperty(MetaProperty property, MixinInMetaClass mixinInMetaClass)

Copyright © 2003-2010 The Codehaus. All rights reserved.